import { HttpClient } from '@angular/common/http';
import { Component, Inject } from '@angular/core';
import { MAT_DIALOG_DATA, MatDialog } from '@angular/material/dialog';
import { ToastrService } from 'ngx-toastr';
import { DataService } from '../../main-commands/data.service';

interface ClientInfo {
  name: string;
  type: string;
  ip: string;
  mac: string;
  serialNumber: string;
  netiface: string;
  netDriver: string;
}

@Component({
  selector: 'app-partition-assistant',
  templateUrl: './partition-assistant.component.html',
  styleUrl: './partition-assistant.component.css'
})
export class PartitionAssistantComponent {
  baseUrl: string = import.meta.env.NG_APP_BASE_API_URL;
  client: string[] = [];
  
  clientInfo: ClientInfo | undefined;

  constructor(
    private dataService: DataService,
    public dialog: MatDialog,
    private toastService: ToastrService,
    private http: HttpClient,
    @Inject(MAT_DIALOG_DATA) public data: { clients: string[] , command?: any }
  ) {
    console.log('clients', data.clients[0]);
  }

  ngOnInit(): void {
    this.getClientInfo(this.data.clients[0]);
  }

  getClientInfo(uuid: string): void {
    this.http.get<ClientInfo>(`${this.baseUrl}/clients/${uuid}`)
      .subscribe(
        (response: ClientInfo) => {
          this.clientInfo = response;
        },
        error => {
          console.error('Error fetching client info:', error);
        }
      );
  }

}

